Bug 510776 - possible recursive locking detected pulseaudio is trying to acquire lock
possible recursive locking detected pulseaudio is trying to acquire lock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-07-10 13:52 EDT by Nicolas Mailhot
Modified: 2011-06-27 10:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel messages (dmesg) (2.65 KB, text/plain)
2009-08-04 09:31 EDT, Tomáš Bžatek
no flags Details

  None (edit)
Description Nicolas Mailhot 2009-07-10 13:52:48 EDT
=============================================
[ INFO: possible recursive locking detected ]
2.6.31-0.62.rc2.git4.fc12.x86_64 #1
---------------------------------------------
pulseaudio/1921 is trying to acquire lock:
 (&substream->self_group.lock/1){......}, at: [<ffffffffa004f04e>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

but task is already holding lock:
 (&substream->self_group.lock/1){......}, at: [<ffffffffa004f04e>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

other info that might help us debug this:
4 locks held by pulseaudio/1921:
 #0:  (snd_pcm_link_rwlock){......}, at: [<ffffffffa004de15>] snd_pcm_stream_lock_irq+0x2c/0x53 [snd_pcm]
 #1:  (&substream->self_group.lock){......}, at: [<ffffffffa004de21>] snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
 #2:  (&substream->group->lock){......}, at: [<ffffffffa004f3ca>] snd_pcm_action+0x42/0xb3 [snd_pcm]
 #3:  (&substream->self_group.lock/1){......}, at: [<ffffffffa004f04e>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

stack backtrace:
Pid: 1921, comm: pulseaudio Not tainted 2.6.31-0.62.rc2.git4.fc12.x86_64 #1
Call Trace:
 [<ffffffff8109548b>] __lock_acquire+0xb8d/0xc17
 [<ffffffff81095603>] lock_acquire+0xee/0x12e
 [<ffffffffa004f04e>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa004f04e>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa004f04e>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffff814f20d1>] _spin_lock_nested+0x43/0x8c
 [<ffffffffa004f04e>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa004f3ca>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
 [<ffffffffa004f04e>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa004f3ca>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
 [<ffffffffa004f400>] snd_pcm_action+0x78/0xb3 [snd_pcm]
 [<ffffffffa004de21>] ? snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
 [<ffffffffa004f468>] snd_pcm_stop+0x2d/0x43 [snd_pcm]
 [<ffffffffa004f521>] snd_pcm_drop+0xa3/0xcf [snd_pcm]
 [<ffffffffa0052752>] snd_pcm_common_ioctl1+0xb7a/0xc40 [snd_pcm]
 [<ffffffff81225426>] ? __rcu_read_unlock+0x34/0x4a
 [<ffffffff812263c8>] ? avc_has_perm_noaudit+0x3c1/0x3e7
 [<ffffffff81270242>] ? __up_read+0x2d/0xaa
 [<ffffffffa0052d6b>] snd_pcm_playback_ioctl1+0x264/0x295 [snd_pcm]
 [<ffffffffa005376b>] snd_pcm_playback_ioctl+0x42/0x5a [snd_pcm]
 [<ffffffff8114bc6b>] vfs_ioctl+0x31/0xaa
 [<ffffffff8114c22d>] do_vfs_ioctl+0x4aa/0x506
 [<ffffffff8114c2ee>] sys_ioctl+0x65/0x9c
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b

pulseaudio-0.9.16-2.test2.fc12.x86_64
kernel-2.6.31-0.62.rc2.git4.fc12.x86_64
Comment 1 Lennart Poettering 2009-07-22 20:00:41 EDT
Uh? That's kernel output, right? So how could PA be at fault here? Reassigning to the kernel.
Comment 2 Tomáš Bžatek 2009-08-04 09:31:40 EDT
Created attachment 356173 [details]
kernel messages (dmesg)

Same issue with kernel-2.6.31-0.118.rc5.fc12.x86_64. Note that I'm not aware of any PulseAudio clients, I usually listen to the music with Audacious and ALSA backend directly.
Comment 3 Adam Goode 2009-08-29 18:52:35 EDT
Still happens with kernel-2.6.31-0.185.rc7.git6.fc12.x86_64.
Comment 4 Nicolas Mailhot 2009-09-05 13:16:29 EDT
=============================================
[ INFO: possible recursive locking detected ]
2.6.31-0.203.rc8.git2.fc12.x86_64 #1
---------------------------------------------
pulseaudio/2107 is trying to acquire lock:
 (&substream->self_group.lock/1){......}, at: [<ffffffffa0213085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

but task is already holding lock:
 (&substream->self_group.lock/1){......}, at: [<ffffffffa0213085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

other info that might help us debug this:
4 locks held by pulseaudio/2107:
 #0:  (snd_pcm_link_rwlock){......}, at: [<ffffffffa0211e31>] snd_pcm_stream_lock_irq+0x2c/0x53 [snd_pcm]
 #1:  (&substream->self_group.lock){......}, at: [<ffffffffa0211e3d>] snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
 #2:  (&substream->group->lock){......}, at: [<ffffffffa0213401>] snd_pcm_action+0x42/0xb3 [snd_pcm]
 #3:  (&substream->self_group.lock/1){......}, at: [<ffffffffa0213085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]

stack backtrace:
Pid: 2107, comm: pulseaudio Not tainted 2.6.31-0.203.rc8.git2.fc12.x86_64 #1
Call Trace:
 [<ffffffff8109783b>] __lock_acquire+0xb84/0xc0e
 [<ffffffff810979b3>] lock_acquire+0xee/0x12e
 [<ffffffffa0213085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa0213085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa0213085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffff81505ca1>] _spin_lock_nested+0x43/0x8c
 [<ffffffffa0213085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa0213401>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
 [<ffffffffa0213085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
 [<ffffffffa0213401>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
 [<ffffffffa0213437>] snd_pcm_action+0x78/0xb3 [snd_pcm]
 [<ffffffffa0211e3d>] ? snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
 [<ffffffffa021349f>] snd_pcm_stop+0x2d/0x43 [snd_pcm]
 [<ffffffffa0213558>] snd_pcm_drop+0xa3/0xcf [snd_pcm]
 [<ffffffffa0216789>] snd_pcm_common_ioctl1+0xb7a/0xc40 [snd_pcm]
 [<ffffffff8122d8da>] ? __rcu_read_unlock+0x34/0x4a
 [<ffffffff8122e884>] ? avc_has_perm_noaudit+0x3c9/0x3ef
 [<ffffffff81095afb>] ? mark_lock+0x3c/0x253
 [<ffffffffa0216da2>] snd_pcm_playback_ioctl1+0x264/0x295 [snd_pcm]
 [<ffffffffa02177a2>] snd_pcm_playback_ioctl+0x42/0x5a [snd_pcm]
 [<ffffffff8115183f>] vfs_ioctl+0x31/0xaa
 [<ffffffff81151e01>] do_vfs_ioctl+0x4aa/0x506
 [<ffffffff81151ec2>] sys_ioctl+0x65/0x9c
 [<ffffffff81011f42>] system_call_fastpath+0x16/0x1b
Comment 5 Nicolas Mailhot 2009-10-06 18:12:45 EDT
Oct 6 23:44:37 kernel: =============================================
Oct 6 23:44:37 kernel: [ INFO: possible recursive locking detected ]
Oct 6 23:44:37 kernel: 2.6.31.1-56.fc12.x86_64 #1
Oct 6 23:44:37 kernel: ---------------------------------------------
Oct 6 23:44:37 kernel: pulseaudio/2059 is trying to acquire lock:
Oct 6 23:44:37 kernel: (&substream->self_group.lock/1){......}, at: [<ffffffffa0181085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel:
Oct 6 23:44:37 kernel: but task is already holding lock:
Oct 6 23:44:37 kernel: (&substream->self_group.lock/1){......}, at: [<ffffffffa0181085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel:
Oct 6 23:44:37 kernel: other info that might help us debug this:
Oct 6 23:44:37 kernel: 4 locks held by pulseaudio/2059:
Oct 6 23:44:37 kernel: #0: (snd_pcm_link_rwlock){......}, at: [<ffffffffa017fe31>] snd_pcm_stream_lock_irq+0x2c/0x53 [snd_pcm]
Oct 6 23:44:37 kernel: #1: (&substream->self_group.lock){......}, at: [<ffffffffa017fe3d>] snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
Oct 6 23:44:37 kernel: #2: (&substream->group->lock){......}, at: [<ffffffffa0181401>] snd_pcm_action+0x42/0xb3 [snd_pcm]
Oct 6 23:44:37 kernel: #3: (&substream->self_group.lock/1){......}, at: [<ffffffffa0181085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel:
Oct 6 23:44:37 kernel: stack backtrace:
Oct 6 23:44:37 kernel: Pid: 2059, comm: pulseaudio Not tainted 2.6.31.1-56.fc12.x86_64 #1
Oct 6 23:44:37 kernel: Call Trace:
Oct 6 23:44:37 kernel: [<ffffffff810978db>] __lock_acquire+0xb84/0xc0e
Oct 6 23:44:37 kernel: [<ffffffff81097a53>] lock_acquire+0xee/0x12e
Oct 6 23:44:37 kernel: [<ffffffffa0181085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffff815066f9>] _spin_lock_nested+0x43/0x8c
Oct 6 23:44:37 kernel: [<ffffffffa0181085>] ? snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181401>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181085>] snd_pcm_action_group+0x62/0x23a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181401>] ? snd_pcm_action+0x42/0xb3 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181437>] snd_pcm_action+0x78/0xb3 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa017fe3d>] ? snd_pcm_stream_lock_irq+0x38/0x53 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa018149f>] snd_pcm_stop+0x2d/0x43 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0181558>] snd_pcm_drop+0xa3/0xcf [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa0184789>] snd_pcm_common_ioctl1+0xb7a/0xc40 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffff8122db36>] ? __rcu_read_unlock+0x34/0x4a
Oct 6 23:44:37 kernel: [<ffffffff8122eae0>] ? avc_has_perm_noaudit+0x3c9/0x3ef
Oct 6 23:44:37 kernel: [<ffffffff81095b9b>] ? mark_lock+0x3c/0x253
Oct 6 23:44:37 kernel: [<ffffffffa0184da2>] snd_pcm_playback_ioctl1+0x264/0x295 [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffffa01857a2>] snd_pcm_playback_ioctl+0x42/0x5a [snd_pcm]
Oct 6 23:44:37 kernel: [<ffffffff81151a13>] vfs_ioctl+0x31/0xaa
Oct 6 23:44:37 kernel: [<ffffffff81151fd5>] do_vfs_ioctl+0x4aa/0x506
Oct 6 23:44:37 kernel: [<ffffffff81152096>] sys_ioctl+0x65/0x9c
Oct 6 23:44:37 kernel: [<ffffffff81011f42>] system_call_fastpath+0x16/0x1b
Comment 6 Bug Zapper 2010-03-15 08:41:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-02 13:56:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 10:16:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.